/*
    SCRIPT CREACIN TABLESPACES
    Fecha: 09/04/2011
    Autor: Francisco Amador Risquez Teva
    Proyecto: gPV
*/

--
--SCHEMA BASE DATOS
--
CREATE USER BD
IDENTIFIED BY BD
DEFAULT TABLESPACE TSBD
QUOTA UNLIMITED ON TSBD
TEMPORARY TABLESPACE TEMP;


--
--SCHEMA ALMACEN DATOS
--
CREATE USER DW
IDENTIFIED BY DW
DEFAULT TABLESPACE TSDW
QUOTA UNLIMITED ON TSDW
TEMPORARY TABLESPACE TEMP;


--
--PERMISOS
-- 
GRANT CREATE SESSION TO BD,DW;
GRANT CREATE TABLE TO BD,DW;
GRANT CREATE VIEW TO BD,DW;
GRANT CREATE PROCEDURE TO BD,DW;
GRANT CREATE TRIGGER TO BD,DW;
GRANT UPDATE ANY TABLE TO BD,DW;
GRANT INSERT ANY TABLE TO BD,DW;
GRANT SELECT ANY TABLE TO BD,DW;
